Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1056049 - nar-maven-plugin: Use $RPM_OPT_FLAGS if provided
Summary: nar-maven-plugin: Use $RPM_OPT_FLAGS if provided
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nar-maven-plugin
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1055048
TreeView+ depends on / blocked
 
Reported: 2014-01-21 13:26 UTC by Marek Goldmann
Modified: 2014-02-07 03:12 UTC (History)
2 users (show)

Fixed In Version: nar-maven-plugin-3.0.0-4.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-23 10:27:02 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1057004 0 unspecified CLOSED nar-maven-plugin: Use CFLAGS, CXXFLAGS, and LDFLAGS 2021-02-22 00:41:40 UTC

Internal Links: 1057004

Description Marek Goldmann 2014-01-21 13:26:36 UTC
Description of problem:

Currently the compiler does not use the $RPM_OPT_FLAGS, even if it's provided. This needs to be changed.

Version-Release number of selected component (if applicable):

nar-maven-plugin-3.0.0-2.fc20

Comment 1 Ville Skyttä 2014-01-21 16:33:07 UTC
I'd say a more general purpose fix would be to add the ability to pass arbitrary compiler and linker flags and/or use CFLAGS, CXXFLAGS, and LDFLAGS from the environment by default.

Comment 2 Marek Goldmann 2014-01-23 10:27:02 UTC
I created a new bug report to cover this: bug 1057004.

I'm closing this one.

Comment 3 Fedora Update System 2014-01-23 11:19:11 UTC
hornetq-2.4.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hornetq-2.4.0-4.fc20

Comment 4 Fedora Update System 2014-01-29 08:32:35 UTC
nar-maven-plugin-3.0.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nar-maven-plugin-3.0.0-4.fc20

Comment 5 Marek Goldmann 2014-01-29 08:57:26 UTC
Upstream pull request: https://github.com/maven-nar/nar-maven-plugin/pull/90

Comment 6 Fedora Update System 2014-02-07 03:12:46 UTC
nar-maven-plugin-3.0.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.